### Enumeration

# Gimp GradientType

unstable since: 3.0

#### Declaration

    enum Gimp.GradientType

#### Description [src]

Gradient shapes.

Available since: 3.0

#### Members

`GIMP_GRADIENT_LINEAR`

  Linear.

  - Value: `0`
  - Nickname: `linear`
  - Available since: 3.0
`GIMP_GRADIENT_BILINEAR`

  Bi-linear.

  - Value: `1`
  - Nickname: `bilinear`
  - Available since: 3.0
`GIMP_GRADIENT_RADIAL`

  Radial.

  - Value: `2`
  - Nickname: `radial`
  - Available since: 3.0
`GIMP_GRADIENT_SQUARE`

  Square.

  - Value: `3`
  - Nickname: `square`
  - Available since: 3.0
`GIMP_GRADIENT_CONICAL_SYMMETRIC`

  Conical (symmetric)

  - Value: `4`
  - Nickname: `conical-symmetric`
  - Available since: 3.0
`GIMP_GRADIENT_CONICAL_ASYMMETRIC`

  Conical (asymmetric)

  - Value: `5`
  - Nickname: `conical-asymmetric`
  - Available since: 3.0
`GIMP_GRADIENT_SHAPEBURST_ANGULAR`

  Shaped (angular)

  - Value: `6`
  - Nickname: `shapeburst-angular`
  - Available since: 3.0
`GIMP_GRADIENT_SHAPEBURST_SPHERICAL`

  Shaped (spherical)

  - Value: `7`
  - Nickname: `shapeburst-spherical`
  - Available since: 3.0
`GIMP_GRADIENT_SHAPEBURST_DIMPLED`

  Shaped (dimpled)

  - Value: `8`
  - Nickname: `shapeburst-dimpled`
  - Available since: 3.0
`GIMP_GRADIENT_SPIRAL_CLOCKWISE`

  Spiral (clockwise)

  - Value: `9`
  - Nickname: `spiral-clockwise`
  - Available since: 3.0
`GIMP_GRADIENT_SPIRAL_ANTICLOCKWISE`

  Spiral (counter-clockwise)

  - Value: `10`
  - Nickname: `spiral-anticlockwise`
  - Available since: 3.0